Lightspark 0.5.3 win32 "Microsoft Visual C++ Runtime Library" error

Bug #919834 reported by Christopher Forster on 2012-01-21
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Lightspark
High
Unassigned

Bug Description

Thank you for creating a Windows port!

But Lightspark 0.5.3 win32 has a problem:

"Microsoft Visual C++ Runtime Library

This application has requested the runtime to terminate it in an
unusual way.
Please contact the application's support team for more information"

It started on Firefox 9.0.1 and perhaps it works on: Mozilla, Opera and other Netscape plugin-based browsers. I am unable to run Lightspark on Internet Explorer 9 (doesn't run at all).

Ran Msinfo32.

ProblemType: Bug
DistroRelease: Windows 7 Professional Service Pack 1
Package: Lightspark-0.5.3-win32.exe
ProcVersionSignature: Windows 6.1.7601 Service Pack 1 Build 7601
Architecture: i386
ExecutablePath: C:\Program Files\Mozilla Firefox\plugin-container.exe
UpgradeStatus: fresh install

The problem happens consistently on all browsers or only on IE?

I've tried only Firefox 9.0.1. Lightspark doesn't start on IE9.

Internet Explorer is not supposed to be supported, since IE does not implement the same plugin API as all the other modern browser. If you want you can open a wish list bug to request IE support

Changed in lightspark:
status: New → Invalid

Sorry, I misunderstood the problem. Now I see that it's indeed firefox that is crashing. I suspect lightspark may be linked against a different version of the MSVC library than the one used by firefox, but I can't think about an easy way to test this.

Changed in lightspark:
status: Invalid → Confirmed
Changed in lightspark:
importance: Undecided → High

Lightspark 0.6.0.1 (Ceres) released but no ported version to Windows, including a Firefox plugin available.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers